%global         momorel 1

Name:           perl-Params-Validate
Version:        1.13
Release:        %{momorel}m%{?dist}
Summary:        Validate method/function parameters
License:        "Artistic 2.0"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Params-Validate/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-Attribute-Handlers >= 0.79
BuildRequires:  perl-Module-Build >= 0.013
BuildRequires:  perl-Module-Implementation
BuildRequires:  perl-Scalar-Util >= 1.10
BuildRequires:  perl-Test-Simple >= 0.88
Requires:       perl-Attribute-Handlers >= 0.79
Requires:       perl-Module-Implementation
Requires:       perl-Scalar-Util >= 1.10
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The Params::Validate module allows you to validate method or function call
parameters to an arbitrary level of specificity. At the simplest level, it
is capable of validating the required parameters were given and that no
unspecified additional parameters were passed in.

%prep
%setup -q -n Params-Validate-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc benchmarks c Changes LICENSE README TODO
%{perl_vendorarch}/auto/Params/Validate/XS/XS.so
%{perl_vendorarch}/Attribute/Params/Validate.pm
%{perl_vendorarch}/Params/Validate*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-1m)
- rebuild against perl-5.20.0
- update to 1.13

* Mon May  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-1m)
- update to 1.09

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-2m)
- rebuild against perl-5.18.1

* Sat Jun  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-1m)
- update to 1.08

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-2m)
- rebuild against perl-5.16.3

* Thu Dec 13 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-1m)
- update to 1.07

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-1m)
- update to 1.06

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-2m)
- rebuild against perl-5.14.2

* Sat Jun 25 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99-2m)
- rebuild against perl-5.14.1

* Sat May 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99-1m)
- update to 0.99

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.98-2m)
- rebuild against perl-5.14.0-0.2.1m

* Thu Apr 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.98-1m)
- update to 0.98

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.95-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.95-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.95-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-2m)
- rebuild against perl-5.12.0

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-1m)
- update to 0.95

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.94-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Fri Dec 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.94-1m)
- update to 0.94
- Specfile re-generated by cpanspec 1.78 for Momonga Linux.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.92-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Sep 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.92-1m)
- update to 0.92

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.91-2m)
- rebuild against rpm-4.6

* Sun May  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Fri May  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.89-2m)
- rebuild against gcc43

* Thu Nov  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-1m)
- update to 0.89

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.88-2m)
- use vendor

* Sun Apr  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.88-1m)
- update to 0.88

* Fri Jan 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.87-1m)
- update to 0.87

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.86-1m)
- spec file was autogenerated
